All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util
Class ResourceCopier

    com.sas.util.ResourceCopier

    public class ResourceCopier

Field Summary
`protected java.lang.String` | `_destinationDir`
`protected boolean` | `_promptForCopy`
`protected boolean` | `_promptForReplace`
`static java.lang.String` | `RB_KEY`

Constructor Summary
`ResourceCopier()` Default constructor.
`ResourceCopier(java.lang.String destDir)`

Method Summary
`java.io.File` | `copyFile(java.io.File src)`
`java.io.File` | `copyFile(java.io.File src, java.lang.String destDir)`
`java.io.File` | `copyFile(java.lang.String src)`
`java.lang.String` | `getDestinationDir()`
`boolean` | `getPromptForCopy()`
`boolean` | `getPromptForReplace()`
`void` | `setDestinationDir(java.lang.String newValue)`
`void` | `setPromptForCopy(boolean newValue)`
`void` | `setPromptForReplace(boolean newValue)`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### _promptForReplace

    protected boolean _promptForReplace

### _promptForCopy

    protected boolean _promptForCopy

### _destinationDir

    protected java.lang.String _destinationDir

Constructor Detail

### ResourceCopier

    public ResourceCopier()

  Default constructor.

### ResourceCopier

    public ResourceCopier(java.lang.String destDir)

Method Detail

### setDestinationDir

    public void setDestinationDir(java.lang.String newValue)

### getDestinationDir

    public java.lang.String getDestinationDir()

### setPromptForCopy

    public void setPromptForCopy(boolean newValue)

### getPromptForCopy

    public boolean getPromptForCopy()

### setPromptForReplace

    public void setPromptForReplace(boolean newValue)

### getPromptForReplace

    public boolean getPromptForReplace()

### copyFile

    public java.io.File copyFile(java.lang.String src)

### copyFile

    public java.io.File copyFile(java.io.File src)

### copyFile

    public java.io.File copyFile(java.io.File src,
                                 java.lang.String destDir)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.